# uproot.interpretation.jagged.JaggedArray

Defined in uproot.interpretation.jagged on line 351.

class uproot.interpretation.jagged.JaggedArray(offsets, content)
  Parameters:

    - offsets (array of `numpy.int32`) – Starting and stopping entries for each variable-length list. The length of the `offsets` is one greater than the number of lists.

    - content (array) – Contiguous array for data in all nested lists of the jagged array.

  Temporary array filled by basket_array, which will be turned into a NumPy, Awkward, or other array, depending on the specified uproot.interpretation.library.Library.

## offsets

JaggedArray.offsets

  Starting and stopping entries for each variable-length list. The length of the `offsets` is one greater than the number of lists.

## content

JaggedArray.content

  Contiguous array for data in all nested lists of the jagged array.

## parents_localindex

JaggedArray.parents_localindex(entry_start, entry_stop)
  Parameters:

    - entry_start (int) – First entry to include.

    - entry_stop (int) – FIrst entry to exclude (one greater than the last entry to include)

  Returns the “parents” and “localindex” of this jagged array, using Awkward 0 terminology.

  The “parents” is an array of integers with the same length as content that indicates which list each item belongs to.

  The “localindex” is an array of integers with the same length that indicates which subentry each item is, within its nested list.